## org.w3c.tools.resources.serialization
Class EmptyDescription

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.ResourceDescription
            |
            +--org.w3c.tools.resources.serialization.EmptyDescription

public class EmptyDescription
extends ResourceDescription

Constructor Summary
`EmptyDescription(java.lang.String classname, java.lang.String identifier)` Constructor.

Methods inherited from class org.w3c.tools.resources.serialization.ResourceDescription
`getAttributeDescriptions, getChildren, getClassesAndInterfaces, getClassHierarchy, getClassName, getClone, getFrameDescriptions, getIdentifier, getInterfaces, setAttributeDescriptions, setChildren, setClassHierarchy, setClassHierarchy, setInterfaces, setInterfaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyDescription

    public EmptyDescription(java.lang.String classname,
                            java.lang.String identifier)

  Constructor. build the description as an empty description only classname and identifeir are provided.
  Parameters:
    `classname` - the resource class name